<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>Uses of Class import hk.quantr.mxgraph.io.mxCodec (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class import hk.quantr.mxgraph.io.mxCodec (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class import hk.quantr.mxgraph.io.mxCodec" class="title">Uses of Class<br>import hk.quantr.mxgraph.io.mxCodec</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#import hk.quantr.mxgraph.io">import hk.quantr.mxgraph.io</a></th>
<td class="colLast">
<div class="block">This package contains all classes for input/output.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="import hk.quantr.mxgraph.io">
<!--   -->
</a>
<h3>Uses of <a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a> in <a href="../package-summary.html">import hk.quantr.mxgraph.io</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">import hk.quantr.mxgraph.io</a> with parameters of type <a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxChildChangeCodec.</span><code><span class="memberNameLink"><a href="../mxChildChangeCodec.html#afterDecode(import hk.quantr.mxgraph.io.mxCodec,org.w3c.dom.Node,java.lang.Object)">afterDecode</a></span>&#8203;(<a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a>&nbsp;dec,
           org.w3c.dom.Node&nbsp;node,
           java.lang.Object&nbsp;obj)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGenericChangeCodec.</span><code><span class="memberNameLink"><a href="../mxGenericChangeCodec.html#afterDecode(import hk.quantr.mxgraph.io.mxCodec,org.w3c.dom.Node,java.lang.Object)">afterDecode</a></span>&#8203;(<a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a>&nbsp;dec,
           org.w3c.dom.Node&nbsp;node,
           java.lang.Object&nbsp;obj)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxObjectCodec.</span><code><span class="memberNameLink"><a href="../mxObjectCodec.html#afterDecode(import hk.quantr.mxgraph.io.mxCodec,org.w3c.dom.Node,java.lang.Object)">afterDecode</a></span>&#8203;(<a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a>&nbsp;dec,
           org.w3c.dom.Node&nbsp;node,
           java.lang.Object&nbsp;obj)</code></th>
<td class="colLast">
<div class="block">Hook for subclassers to post-process the object after decoding.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxRootChangeCodec.</span><code><span class="memberNameLink"><a href="../mxRootChangeCodec.html#afterDecode(import hk.quantr.mxgraph.io.mxCodec,org.w3c.dom.Node,java.lang.Object)">afterDecode</a></span>&#8203;(<a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a>&nbsp;dec,
           org.w3c.dom.Node&nbsp;node,
           java.lang.Object&nbsp;obj)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxTerminalChangeCodec.</span><code><span class="memberNameLink"><a href="../mxTerminalChangeCodec.html#afterDecode(import hk.quantr.mxgraph.io.mxCodec,org.w3c.dom.Node,java.lang.Object)">afterDecode</a></span>&#8203;(<a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a>&nbsp;dec,
           org.w3c.dom.Node&nbsp;node,
           java.lang.Object&nbsp;obj)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>org.w3c.dom.Node</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCellCodec.</span><code><span class="memberNameLink"><a href="../mxCellCodec.html#afterEncode(import hk.quantr.mxgraph.io.mxCodec,java.lang.Object,org.w3c.dom.Node)">afterEncode</a></span>&#8203;(<a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a>&nbsp;enc,
           java.lang.Object&nbsp;obj,
           org.w3c.dom.Node&nbsp;node)</code></th>
<td class="colLast">
<div class="block">Encodes an mxCell and wraps the XML up inside the
 XML of the user object (inversion).</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>org.w3c.dom.Node</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxChildChangeCodec.</span><code><span class="memberNameLink"><a href="../mxChildChangeCodec.html#afterEncode(import hk.quantr.mxgraph.io.mxCodec,java.lang.Object,org.w3c.dom.Node)">afterEncode</a></span>&#8203;(<a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a>&nbsp;enc,
           java.lang.Object&nbsp;obj,
           org.w3c.dom.Node&nbsp;node)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>org.w3c.dom.Node</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxObjectCodec.</span><code><span class="memberNameLink"><a href="../mxObjectCodec.html#afterEncode(import hk.quantr.mxgraph.io.mxCodec,java.lang.Object,org.w3c.dom.Node)">afterEncode</a></span>&#8203;(<a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a>&nbsp;enc,
           java.lang.Object&nbsp;obj,
           org.w3c.dom.Node&nbsp;node)</code></th>
<td class="colLast">
<div class="block">Hook for subclassers to post-process the node for the given object after
 encoding and return the post-processed node.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>org.w3c.dom.Node</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxRootChangeCodec.</span><code><span class="memberNameLink"><a href="../mxRootChangeCodec.html#afterEncode(import hk.quantr.mxgraph.io.mxCodec,java.lang.Object,org.w3c.dom.Node)">afterEncode</a></span>&#8203;(<a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a>&nbsp;enc,
           java.lang.Object&nbsp;obj,
           org.w3c.dom.Node&nbsp;node)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>org.w3c.dom.Node</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCellCodec.</span><code><span class="memberNameLink"><a href="../mxCellCodec.html#beforeDecode(import hk.quantr.mxgraph.io.mxCodec,org.w3c.dom.Node,java.lang.Object)">beforeDecode</a></span>&#8203;(<a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a>&nbsp;dec,
            org.w3c.dom.Node&nbsp;node,
            java.lang.Object&nbsp;obj)</code></th>
<td class="colLast">
<div class="block">Decodes an mxCell and uses the enclosing XML node as
 the user object for the cell (inversion).</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>org.w3c.dom.Node</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxChildChangeCodec.</span><code><span class="memberNameLink"><a href="../mxChildChangeCodec.html#beforeDecode(import hk.quantr.mxgraph.io.mxCodec,org.w3c.dom.Node,java.lang.Object)">beforeDecode</a></span>&#8203;(<a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a>&nbsp;dec,
            org.w3c.dom.Node&nbsp;node,
            java.lang.Object&nbsp;into)</code></th>
<td class="colLast">
<div class="block">Reads the cells into the graph model.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>org.w3c.dom.Node</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxModelCodec.</span><code><span class="memberNameLink"><a href="../mxModelCodec.html#beforeDecode(import hk.quantr.mxgraph.io.mxCodec,org.w3c.dom.Node,java.lang.Object)">beforeDecode</a></span>&#8203;(<a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a>&nbsp;dec,
            org.w3c.dom.Node&nbsp;node,
            java.lang.Object&nbsp;into)</code></th>
<td class="colLast">
<div class="block">Reads the cells into the graph model.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>org.w3c.dom.Node</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxObjectCodec.</span><code><span class="memberNameLink"><a href="../mxObjectCodec.html#beforeDecode(import hk.quantr.mxgraph.io.mxCodec,org.w3c.dom.Node,java.lang.Object)">beforeDecode</a></span>&#8203;(<a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a>&nbsp;dec,
            org.w3c.dom.Node&nbsp;node,
            java.lang.Object&nbsp;obj)</code></th>
<td class="colLast">
<div class="block">Hook for subclassers to pre-process the node for the specified object
 and return the node to be used for further processing by
 <a href="../mxObjectCodec.html#decode(import hk.quantr.mxgraph.io.mxCodec,org.w3c.dom.Node)"><code>mxObjectCodec.decode(mxCodec, Node)</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>org.w3c.dom.Node</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxRootChangeCodec.</span><code><span class="memberNameLink"><a href="../mxRootChangeCodec.html#beforeDecode(import hk.quantr.mxgraph.io.mxCodec,org.w3c.dom.Node,java.lang.Object)">beforeDecode</a></span>&#8203;(<a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a>&nbsp;dec,
            org.w3c.dom.Node&nbsp;node,
            java.lang.Object&nbsp;into)</code></th>
<td class="colLast">
<div class="block">Reads the cells into the graph model.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxObjectCodec.</span><code><span class="memberNameLink"><a href="../mxObjectCodec.html#beforeEncode(import hk.quantr.mxgraph.io.mxCodec,java.lang.Object,org.w3c.dom.Node)">beforeEncode</a></span>&#8203;(<a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a>&nbsp;enc,
            java.lang.Object&nbsp;obj,
            org.w3c.dom.Node&nbsp;node)</code></th>
<td class="colLast">
<div class="block">Hook for subclassers to pre-process the object before encoding.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxObjectCodec.</span><code><span class="memberNameLink"><a href="../mxObjectCodec.html#decode(import hk.quantr.mxgraph.io.mxCodec,org.w3c.dom.Node)">decode</a></span>&#8203;(<a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a>&nbsp;dec,
      org.w3c.dom.Node&nbsp;node)</code></th>
<td class="colLast">
<div class="block">Parses the given node into the object or returns a new object
 representing the given node.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxObjectCodec.</span><code><span class="memberNameLink"><a href="../mxObjectCodec.html#decode(import hk.quantr.mxgraph.io.mxCodec,org.w3c.dom.Node,java.lang.Object)">decode</a></span>&#8203;(<a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a>&nbsp;dec,
      org.w3c.dom.Node&nbsp;node,
      java.lang.Object&nbsp;into)</code></th>
<td class="colLast">
<div class="block">Parses the given node into the object or returns a new object
 representing the given node.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxStylesheetCodec.</span><code><span class="memberNameLink"><a href="../mxStylesheetCodec.html#decode(import hk.quantr.mxgraph.io.mxCodec,org.w3c.dom.Node,java.lang.Object)">decode</a></span>&#8203;(<a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a>&nbsp;dec,
      org.w3c.dom.Node&nbsp;node,
      java.lang.Object&nbsp;into)</code></th>
<td class="colLast">
<div class="block">Decodes the given mxStylesheet.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxObjectCodec.</span><code><span class="memberNameLink"><a href="../mxObjectCodec.html#decodeAttribute(import hk.quantr.mxgraph.io.mxCodec,org.w3c.dom.Node,java.lang.Object)">decodeAttribute</a></span>&#8203;(<a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a>&nbsp;dec,
               org.w3c.dom.Node&nbsp;attr,
               java.lang.Object&nbsp;obj)</code></th>
<td class="colLast">
<div class="block">Reads the given attribute into the specified object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxObjectCodec.</span><code><span class="memberNameLink"><a href="../mxObjectCodec.html#decodeAttributes(import hk.quantr.mxgraph.io.mxCodec,org.w3c.dom.Node,java.lang.Object)">decodeAttributes</a></span>&#8203;(<a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a>&nbsp;dec,
                org.w3c.dom.Node&nbsp;node,
                java.lang.Object&nbsp;obj)</code></th>
<td class="colLast">
<div class="block">Decodes all attributes of the given node using decodeAttribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxObjectCodec.</span><code><span class="memberNameLink"><a href="../mxObjectCodec.html#decodeChild(import hk.quantr.mxgraph.io.mxCodec,org.w3c.dom.Node,java.lang.Object)">decodeChild</a></span>&#8203;(<a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a>&nbsp;dec,
           org.w3c.dom.Node&nbsp;child,
           java.lang.Object&nbsp;obj)</code></th>
<td class="colLast">
<div class="block">Reads the specified child into the given object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxObjectCodec.</span><code><span class="memberNameLink"><a href="../mxObjectCodec.html#decodeChildren(import hk.quantr.mxgraph.io.mxCodec,org.w3c.dom.Node,java.lang.Object)">decodeChildren</a></span>&#8203;(<a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a>&nbsp;dec,
              org.w3c.dom.Node&nbsp;node,
              java.lang.Object&nbsp;obj)</code></th>
<td class="colLast">
<div class="block">Decodec all children of the given node using decodeChild.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxObjectCodec.</span><code><span class="memberNameLink"><a href="../mxObjectCodec.html#decodeNode(import hk.quantr.mxgraph.io.mxCodec,org.w3c.dom.Node,java.lang.Object)">decodeNode</a></span>&#8203;(<a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a>&nbsp;dec,
          org.w3c.dom.Node&nbsp;node,
          java.lang.Object&nbsp;obj)</code></th>
<td class="colLast">
<div class="block">Calls decodeAttributes and decodeChildren for the given node.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>org.w3c.dom.Node</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxObjectCodec.</span><code><span class="memberNameLink"><a href="../mxObjectCodec.html#encode(import hk.quantr.mxgraph.io.mxCodec,java.lang.Object)">encode</a></span>&#8203;(<a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a>&nbsp;enc,
      java.lang.Object&nbsp;obj)</code></th>
<td class="colLast">
<div class="block">Encodes the specified object and returns a node representing then given
 object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>org.w3c.dom.Node</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxStylesheetCodec.</span><code><span class="memberNameLink"><a href="../mxStylesheetCodec.html#encode(import hk.quantr.mxgraph.io.mxCodec,java.lang.Object)">encode</a></span>&#8203;(<a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a>&nbsp;enc,
      java.lang.Object&nbsp;obj)</code></th>
<td class="colLast">
<div class="block">Encodes the given mxStylesheet.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxObjectCodec.</span><code><span class="memberNameLink"><a href="../mxObjectCodec.html#encodeElements(import hk.quantr.mxgraph.io.mxCodec,java.lang.Object,org.w3c.dom.Node)">encodeElements</a></span>&#8203;(<a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a>&nbsp;enc,
              java.lang.Object&nbsp;obj,
              org.w3c.dom.Node&nbsp;node)</code></th>
<td class="colLast">
<div class="block">Encodes the child objects of arrays, maps and collections.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxObjectCodec.</span><code><span class="memberNameLink"><a href="../mxObjectCodec.html#encodeFields(import hk.quantr.mxgraph.io.mxCodec,java.lang.Object,org.w3c.dom.Node)">encodeFields</a></span>&#8203;(<a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a>&nbsp;enc,
            java.lang.Object&nbsp;obj,
            org.w3c.dom.Node&nbsp;node)</code></th>
<td class="colLast">
<div class="block">Encodes the declared fields of the given object into the given node.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxModelCodec.</span><code><span class="memberNameLink"><a href="../mxModelCodec.html#encodeObject(import hk.quantr.mxgraph.io.mxCodec,java.lang.Object,org.w3c.dom.Node)">encodeObject</a></span>&#8203;(<a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a>&nbsp;enc,
            java.lang.Object&nbsp;obj,
            org.w3c.dom.Node&nbsp;node)</code></th>
<td class="colLast">
<div class="block">Encodes the given mxGraphModel by writing a (flat) XML sequence
 of cell nodes as produced by the mxCellCodec.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxObjectCodec.</span><code><span class="memberNameLink"><a href="../mxObjectCodec.html#encodeObject(import hk.quantr.mxgraph.io.mxCodec,java.lang.Object,org.w3c.dom.Node)">encodeObject</a></span>&#8203;(<a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a>&nbsp;enc,
            java.lang.Object&nbsp;obj,
            org.w3c.dom.Node&nbsp;node)</code></th>
<td class="colLast">
<div class="block">Encodes the value of each member in then given obj
 into the given node using <a href="../mxObjectCodec.html#encodeFields(import hk.quantr.mxgraph.io.mxCodec,java.lang.Object,org.w3c.dom.Node)"><code>mxObjectCodec.encodeFields(mxCodec, Object, Node)</code></a>
 and <a href="../mxObjectCodec.html#encodeElements(import hk.quantr.mxgraph.io.mxCodec,java.lang.Object,org.w3c.dom.Node)"><code>mxObjectCodec.encodeElements(mxCodec, Object, Node)</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxObjectCodec.</span><code><span class="memberNameLink"><a href="../mxObjectCodec.html#encodeValue(import hk.quantr.mxgraph.io.mxCodec,java.lang.Object,java.lang.String,java.lang.Object,org.w3c.dom.Node)">encodeValue</a></span>&#8203;(<a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a>&nbsp;enc,
           java.lang.Object&nbsp;obj,
           java.lang.String&nbsp;fieldname,
           java.lang.Object&nbsp;value,
           org.w3c.dom.Node&nbsp;node)</code></th>
<td class="colLast">
<div class="block">Converts the given value according to the mappings
 and id-refs in this codec and uses
 <a href="../mxObjectCodec.html#writeAttribute(import hk.quantr.mxgraph.io.mxCodec,java.lang.Object,java.lang.String,java.lang.Object,org.w3c.dom.Node)"><code>mxObjectCodec.writeAttribute(mxCodec, Object, String, Object, Node)</code></a>
 to write the attribute into the given node.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxObjectCodec.</span><code><span class="memberNameLink"><a href="../mxObjectCodec.html#processInclude(import hk.quantr.mxgraph.io.mxCodec,org.w3c.dom.Node,java.lang.Object)">processInclude</a></span>&#8203;(<a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a>&nbsp;dec,
              org.w3c.dom.Node&nbsp;node,
              java.lang.Object&nbsp;into)</code></th>
<td class="colLast">
<div class="block">Returns true if the given node is an include directive and executes the
 include by decoding the XML document.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxObjectCodec.</span><code><span class="memberNameLink"><a href="../mxObjectCodec.html#writeAttribute(import hk.quantr.mxgraph.io.mxCodec,java.lang.Object,java.lang.String,java.lang.Object,org.w3c.dom.Node)">writeAttribute</a></span>&#8203;(<a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a>&nbsp;enc,
              java.lang.Object&nbsp;obj,
              java.lang.String&nbsp;attr,
              java.lang.Object&nbsp;value,
              org.w3c.dom.Node&nbsp;node)</code></th>
<td class="colLast">
<div class="block">Writes the given value into node using writePrimitiveAttribute
 or writeComplexAttribute depending on the type of the value.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxObjectCodec.</span><code><span class="memberNameLink"><a href="../mxObjectCodec.html#writeComplexAttribute(import hk.quantr.mxgraph.io.mxCodec,java.lang.Object,java.lang.String,java.lang.Object,org.w3c.dom.Node)">writeComplexAttribute</a></span>&#8203;(<a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a>&nbsp;enc,
                     java.lang.Object&nbsp;obj,
                     java.lang.String&nbsp;attr,
                     java.lang.Object&nbsp;value,
                     org.w3c.dom.Node&nbsp;node)</code></th>
<td class="colLast">
<div class="block">Writes the given value as a child node of the given node.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxObjectCodec.</span><code><span class="memberNameLink"><a href="../mxObjectCodec.html#writePrimitiveAttribute(import hk.quantr.mxgraph.io.mxCodec,java.lang.Object,java.lang.String,java.lang.Object,org.w3c.dom.Node)">writePrimitiveAttribute</a></span>&#8203;(<a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">mxCodec</a>&nbsp;enc,
                       java.lang.Object&nbsp;obj,
                       java.lang.String&nbsp;attr,
                       java.lang.Object&nbsp;value,
                       org.w3c.dom.Node&nbsp;node)</code></th>
<td class="colLast">
<div class="block">Writes the given value as an attribute of the given node.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../mxCodec.html" title="class in import hk.quantr.mxgraph.io">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
